Arch: Building/Строительство

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Building and the translation is 22% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Previous: Arch BuildingPart.svg Building Part
Next: Site Arch Site.svg Arrow-right.svg

Arch Building.svg Arch Building

Расположение в меню
Архитектура→ Здание
Верстаки
Arch
Быстрые клавиши
B U
Представлено в версии
-
См. также
Этаж, Место


Описание

Arch Building - это особый тип объекта группы FreeCAD, который особенно подходит для представления целого здания. Они в основном используются для организации вашей модели с помощью объектов floor.

Использование

  1. Optionally, select one or more objects to be included in your new building.
  2. Press the Arch Building.svg Arch Building button, or press the B then U keys.

Options

  • Starting from FreeCAD version 0.18, the Building object is actually a BuildingPart with its DATAIFC role property set to "Building". You can convert any BuildingPart to a Building simply by changing its IFC role.
  • After creating a building, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add.svg Arch Add tool.
  • You can remove objects from a building by drag and dropping them out of it the Tree View or by using the Arch Remove.svg Arch Remove tool.

Properties

  • DATABuilding Type: The type of this building, to choose from a list

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Building tool can be used in macros and from the Python console by using the following function:

Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
  • Creates a Building object from objectslist, which is a list of objects, or baseobj, which is a Shape.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall1, Wall2])

Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()